Alerts
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all environments alerts
Required API key scopes
alert:readPath parameters
- environment_idstring
Query parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /alertsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/environments/:environment_id/alerts/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/environments/{environment_id}/alerts/".format(project_id=project_id,environment_id="<the environment id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"count": 123,"next": "http://api.example.org/accounts/?offset=400&limit=100","previous": "http://api.example.org/accounts/?offset=200&limit=100","results": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}]}
Create environments alerts
Required API key scopes
alert:writePath parameters
- environment_idstring
Request parameters
- insightinteger
- namestring
- subscribed_usersarray
- threshold
- condition
- enabledboolean
- config
- calculation_interval
- snoozed_untilstring
- skip_weekendboolean
Response
Example request
POST /api /environments /:environment_id /alertsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/environments/:environment_id/alerts/\-d insight="integer",\-d subscribed_users="array",\-d threshold=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/environments/{environment_id}/alerts/".format(project_id=project_id,environment_id="<the environment id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"insight": "integer","subscribed_users": "array"}).json()
Example response
Status 201
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}
Retrieve environments alerts
Required API key scopes
alert:readPath parameters
- environment_idstring
- idstring
Response
Example request
GET /api /environments /:environment_id /alerts /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/environments/:environment_id/alerts/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/environments/{environment_id}/alerts/{alert_id}/".format(project_id=project_id,alert_id="<the alert id>",environment_id="<the environment id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}
Update environments alerts
Required API key scopes
alert:writePath parameters
- environment_idstring
- idstring
Request parameters
- insightinteger
- namestring
- subscribed_usersarray
- threshold
- condition
- enabledboolean
- config
- calculation_interval
- snoozed_untilstring
- skip_weekendboolean
Response
Example request
PATCH /api /environments /:environment_id /alerts /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/environments/:environment_id/alerts/:id/\-d created_by=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/environments/{environment_id}/alerts/{alert_id}/".format(project_id=project_id,alert_id="<the alert id>",environment_id="<the environment id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={}).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}
Delete environments alerts
Required API key scopes
alert:writePath parameters
- environment_idstring
- idstring
Example request
DELETE /api /environments /:environment_id /alerts /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/environments/:environment_id/alerts/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/environments/{environment_id}/alerts/{alert_id}/".format(project_id=project_id,alert_id="<the alert id>",environment_id="<the environment id>"),headers={"Authorization": "Bearer {}".format(api_key)},)
Example response
Status 204 No response body
List all alerts
Required API key scopes
alert:readPath parameters
- project_idstring
Query parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /alertsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/alerts/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/alerts/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"count": 123,"next": "http://api.example.org/accounts/?offset=400&limit=100","previous": "http://api.example.org/accounts/?offset=200&limit=100","results": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}]}
Create alerts
Required API key scopes
alert:writePath parameters
- project_idstring
Request parameters
- insightinteger
- namestring
- subscribed_usersarray
- threshold
- condition
- enabledboolean
- config
- calculation_interval
- snoozed_untilstring
- skip_weekendboolean
Response
Example request
POST /api /projects /:project_id /alertsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/alerts/\-d insight="integer",\-d subscribed_users="array",\-d threshold=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/alerts/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},data={"insight": "integer","subscribed_users": "array"}).json()
Example response
Status 201
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}
Retrieve alerts
Required API key scopes
alert:readPath parameters
- idstring
- project_idstring
Response
Example request
GET /api /projects /:project_id /alerts /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/alerts/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/alerts/{alert_id}/".format(project_id=project_id,alert_id="<the alert id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}
Update alerts
Required API key scopes
alert:writePath parameters
- idstring
- project_idstring
Request parameters
- insightinteger
- namestring
- subscribed_usersarray
- threshold
- condition
- enabledboolean
- config
- calculation_interval
- snoozed_untilstring
- skip_weekendboolean
Response
Example request
PATCH /api /projects /:project_id /alerts /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/alerts/:id/\-d created_by=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/alerts/{alert_id}/".format(project_id=project_id,alert_id="<the alert id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={}).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"created_at": "2019-08-24T14:15:22Z","insight": 0,"name": "string","subscribed_users": [0],"threshold": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","name": "string","configuration": {"bounds": {"lower": null,"upper": null},"type": "absolute"}},"condition": {"type": "absolute_value"},"state": "Firing","enabled": true,"last_notified_at": "2019-08-24T14:15:22Z","last_checked_at": "2019-08-24T14:15:22Z","next_check_at": "2019-08-24T14:15:22Z","checks": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","created_at": "2019-08-24T14:15:22Z","calculated_value": 0.1,"state": "Firing","targets_notified": true}],"config": {"check_ongoing_interval": null,"series_index": 0,"type": "TrendsAlertConfig"},"calculation_interval": "hourly","snoozed_until": "2019-08-24T14:15:22Z","skip_weekend": true,"last_value": 0.1}
Delete alerts
Required API key scopes
alert:writePath parameters
- idstring
- project_idstring
Example request
DELETE /api /projects /:project_id /alerts /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/alerts/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/alerts/{alert_id}/".format(project_id=project_id,alert_id="<the alert id>"),headers={"Authorization": "Bearer {}".format(api_key)},)